Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	HAL event handler
Name:		ivman
Version:	0.6.14
Release:	1
Group:		System/Configuration/Hardware
License:	GPL
URL:		http://ivman.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  dbus-devel
BuildRequires:  glib-devel
BuildRequires:  hal-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

%description
Ivman is a generic handler for HAL events. Originally for automounting, it can now be used to run arbitrary commands when events or conditions occur or properties are modified on your hardware (e.g., run a command when you close your laptop's lid, run a command when a particular device is attached or a particular CD is inserted, etc).
This is especially useful if you are using a different Desktop/Filemanager than KDE or GNOME.

%post 
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--sysconfdir=%_sysconfdir 
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sysconfdir
%_bindir
%_datadir

%changelog
* Mon Feb 12 2007  Karsten Brockmann <arcam@ccux-linux.de> 0.6.14-1
- Initial Release
